Bug 833666 - Missing '--config' and '--timeout' in man page of rhc-domain-info
Missing '--config' and '--timeout' in man page of rhc-domain-info
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 02:04 EDT by Wei Sun
Modified: 2015-05-14 21:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:00:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-06-20 02:04:25 EDT
Description of problem:
When checking man page of "rhc-domain-info", there is no related information of --config and --timeout option

Version-Release number of selected component (if applicable):
rhc-0.94.7

How reproducible:
always

Steps to Reproduce:
1.man rhc-domain-info
2.search keywords '--config' and '--timeout'
3.
  
Actual results:
No related information

Expected results:

have related information
Additional info:
Comment 1 David O'Brien 2012-06-20 02:31:59 EDT
man pages are not part of Docs components.

fwiw, if you look at $ man rhc-create-app you'll see --timeout and --config info

If you look at rhc app create --help you'll see brief mention of these args. If I knew how to edit these help pages (the --help ones, not man pages) I could fix them for you.
Comment 2 Clayton Coleman 2012-06-22 11:48:49 EDT
Moving this to low priority - long run I think we will remove man pages in favor of in app help.
Comment 3 Clayton Coleman 2013-01-31 09:47:58 EST
Use 'rhc help options'
Comment 4 Wei Sun 2013-01-31 21:40:35 EST
Verified on devenv_2755,rhc is rhc 1.4.3

Result:
[sunwei@dhcp-8-229 ~]$ rhc help options
The following options can be passed to any command:

  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  -d, --debug               Turn on debugging
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  -k, --insecure            Allow insecure SSL connections.  Potential security risk.
  --ssl-version VERSION     The version of SSL to use
  --ssl-ca-file FILE        An SSL certificate CA file (may contain multiple certs)
  --ssl-client-cert-file FILE An SSL x509 client certificate file
  --timeout SECONDS         The timeout for operations
  --noprompt                Suppress all interactive operations command
  --config FILE             Path of a different config file
  --clean                   Ignore any saved configuration options
  --mock                    Run in mock mode
  -h, --help                Help on any command
  --version                 Display version information

Note You need to log in before you can comment on or make changes to this bug.